const { Sequelize } = require('sequelize')
/* const dotenv = require('dotenv'); */

require('dotenv').config();
 
module.exports = new Sequelize(
    process.env.DB_NAME, // Название БД
    process.env.DB_USER, // Пользователь
    process.env.DB_PASSWORD, // ПАРОЛЬ
    {
        dialect: 'postgres',
        host: process.env.DB_HOST,
        port: process.env.DB_PORT
    }
)


const connectDb = async () => {
    try {
        await client.connect();
        console.log('Подключение к PostgreSQL успешно');
    } catch (error) {
        console.error('Ошибка подключения:', error.stack);
    }
};

module.exports = { Sequelize, connectDb };